LongValue (Java Debug Interface )
Keywords: com.sun.jdi.LongValue interface
Date: 2026-01-21

com.sun.jdi

## Interface LongValue

- All Superinterfaces:
    Comparable<LongValue>, Mirror, PrimitiveValue, Value

      @Exported
      public interface LongValue
      extends PrimitiveValue, Comparable<LongValue>

  Provides access to a primitive `long` value in the target VM.
  Since:
    1.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Compares the specified Object with this LongValue for equality.
    `int` | `hashCode()` Returns the hash code value for this LongValue.
    `long` | `value()` Returns this LongValue as a long.

    - ### Methods inherited from interface com.sun.jdi.PrimitiveValue

      `booleanValue, byteValue, charValue, doubleValue, floatValue, intValue, longValue, shortValue`

    - ### Methods inherited from interface com.sun.jdi.Value

      `type`

    - ### Methods inherited from interface com.sun.jdi.Mirror

      `toString, virtualMachine`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### value

          long value()

      Returns this LongValue as a long.
      Returns:
        the `long` mirrored by this object.

    - #### equals

          boolean equals(Object obj)

      Compares the specified Object with this LongValue for equality.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - the reference object with which to compare.
      Returns:
        true if the Object is a LongValue and if applying "==" to the two mirrored primitives would evaluate to true; false otherwise.
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### hashCode

          int hashCode()

      Returns the hash code value for this LongValue.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        the integer hash code
      See Also:
        `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

Copyright © 1999, 2026, Oracle and/or its affiliates. All rights reserved.